import { Component, inject, OnInit } from '@angular/core';

import { AppComponent } from './app.component';
import { environment } from '../environments/environment';

@Component({
  standalone: true,
  selector: 'app-footer',
  templateUrl: './app.footer.component.html',
  styles: ['.footer-info{margin:.1em .1em .5rem .6rem;color:#9d0f0f;font-size:7.5pt;font-weight:500;float:right;display:block;flex-wrap:wrap;text-align:right;}.fixed-width{width:5rem;}.float-left{float:left;}.remaining-width{width:calc(100% - 5.2rem);}']
})
export class AppFooterComponent implements OnInit
{
  public ppSrc: string = '';
  public app = inject(AppComponent);

  ngOnInit()
  {
    if (environment.production)
    {
      this.ppSrc = '../../OnlineSalesAutoCrop/assets/doxs/privacypolicy.pdf'
    }
    else
    {
      this.ppSrc = '../../assets/doxs/privacypolicy.pdf';
    }
  }
}
